"""
Модель данных для общей информации.
"""

from pydantic import BaseModel


class GeneralSettings(BaseModel):
    """
    Класс для хранения общих настроек эксперимента.

    Атрибуты:
        name (str): Название эксперимента.
            Должно быть информативным и отражать суть проводимого исследования.
        version (str): Номер версии эксперимента.
            Используется для отслеживания изменений и улучшений в ходе работы.
    """

    name: str
    version: str
